incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frédéric THOMAS <webdoubl...@hotmail.com>
Subject Re: About Flex runtime
Date Sun, 28 Oct 2012 08:08:32 GMT
For example, if my company has customers still in FP 10.3, my company will 
need to have a apache flex sdk built from that particular version, if later, 
my company find a bug into the framework, before to do any change, my 
company will have to generate the baseline images, once done, they can 
modify the framework, rebuild and test it against this particular version.

If then, my company want to check in those changes to apache flex, they will 
have to test their changes against the 11.1/14 first.


-----Message d'origine----- 
From: Frédéric THOMAS
Sent: Sunday, October 28, 2012 8:37 AM
To: flex-dev@incubator.apache.org
Subject: Re: About Flex runtime

> Maybe I'm not understanding your strategy.  If someone tries to use your
proposed build.properties and changes player versions, they will get
failures against your 10.3 baselines, won't they?

If someone check out the sdk and in order to build it for another particular
version, changes the build.properties to be in 10.3/12 for example, he will
have to generate the baseline images before to do any change to the code,
those baseline images in the context this playerglobal/swf-version are
valids.

> I'm set up for 11.1, how am I supposed to get mustella to pass if you 
> check
in 10.3 baselines?

The baseline images generated should not be check in to the svn server by
contributors, the base still has to be the existing 11.1/14.


-----Message d'origine----- 
From: Alex Harui
Sent: Sunday, October 28, 2012 8:13 AM
To: flex-dev@incubator.apache.org
Subject: Re: About Flex runtime




On 10/28/12 12:07 AM, "Frédéric THOMAS" <webdoublefx@hotmail.com> wrote:

>> So changing swf.version and running with -createImages doesn't really 
>> tell
> you anything
>
Maybe I'm not understanding your strategy.  If someone tries to use your
proposed build.properties and changes player versions, they will get
failures against your 10.3 baselines, won't they?

I'm set up for 11.1, how am I supposed to get mustella to pass if you check
in 10.3 baselines?

-- 
Alex Harui
Flex SDK Team
Adobe Systems, Inc.
http://blogs.adobe.com/aharui


Mime
View raw message